# Disable warnings for all third party code
add_compile_options(-w)

add_library(nanobench nanobench.cpp)
target_include_directories(nanobench SYSTEM
                           PUBLIC ${CMAKE_CURRENT_LIST_DIR}/include/nanobench)

add_library(doctest doctest.cpp)
target_include_directories(doctest SYSTEM
                           PUBLIC ${CMAKE_CURRENT_LIST_DIR}/include/doctest)

add_library(simdjson simdjson.cpp)
target_include_directories(simdjson SYSTEM
                           PUBLIC ${CMAKE_CURRENT_LIST_DIR}/include/simdjson)
